;-| Cpu Motions |----------------------------------------------------------
[Command]
name = "ia1"
command = B, B, D, D, F, a, a, b, b, y
time = 1

[Command]
name = "ia2"
command = B, B, F, D, F, x, x, y, y, b
time = 1

[Command]
name = "ia3"
command = D, D, B, B, B, a, a, b, b, y
time = 1

[Command]
name = "ia4"
command = a, a, b, b, c, c, a, c, y, x
time = 1

[Command]
name = "ia5"
command = a, B, x, x, F, a, a, b, b, y
time = 1

[Command]
name = "ia6"
command = z, B, B, B, F, a, x, b, b, y
time = 1

[Command]
name = "ia7"
command = D, B, x, x, F, a, a, b, b, y
time = 1

[Command]
name = "ia8"
command = a, b, s, x, y, a, a, y, b, y
time = 1

[Command]
name = "ia9"
command = B, F, B, F, B, F, D, D, b, y
time = 1

[Command]
name = "ia10"
command = B, B, c, b, F, a, a, b, b, y, y, a, b, y, c, z, U, F
time = 1

[Command]
name = "ia11"
command = a, a, a, a, U, b, B, F, F, D, a, a, a, a, z, z, c, y, x, F, a
time = 1

[Command]
name = "ia12"
command = D, U, D, U, D, U, a, b, b, y, B, F, D, U
time = 1

[Command]
name = "ia13"
command = D, D, U, U, F, B, B, U, a, a, F, x, z
time = 1

[Command]
name = "ia14"
command = D, B, F, D, F, a, a, b, b, y, y, x, x, s, s, z, z, c, c
time = 1

[Command]
name = "ia15"
command = a, a, a, a, B, b, B, F, F, D, a, a, a, a, z, z, c, y, x, F, U, a, a, a, a, U, b, B, F, F, D, a, a, a, a, z, z, c, y, x, F, U
time = 1

[Command]
name = "ia16"
command = B, b, a, D, F, a, c, b, z, x
time = 1

[Command]
name = "ia17"
command = B, D, F, a, y, b, a, z, y
time = 1

[Command]
name = "ia18"
command = D, D, B, F, B, a, b, c, b, y
time = 1

[Command]
name = "ia19"
command = a, F, b, x, y, c, a, c, y, D
time = 1

[Command]
name = "ia20"
command = a, B, x, y, B, B, a, c
time = 1

;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "Power Wave"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command] 
name = "Power Wave"
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "100% Attack"
command = ~F, DF, D, DB, B, F, x
time = 25

[Command]
name = "100% Attack"
command = ~F, DF, D, DB, B, F, y
time = 25

[Command]
name = "SuperCombo"
command = ~D, DB, B, DB, D, DF, F, a
time = 25

[Command]
name = "SuperCombo"
command = ~D, DB, B, DB, D, DF, F, b
time = 25

;-| ES Motions |------------------------------------------------------
[Command]
name = "ES anti-aereo"
command = ~F, D, DF, x+y

[Command]
name = "ES fireball 2"
command = ~B, DB, D, DF, F, x+y

[Command]
name = "ES tiro"
command = ~D, DF, F, x+y
;-| Special Motions |------------------------------------------------------
[Command]
name = "tiro"
command = ~D, DF, F, x

[Command]
name = "tiro"
command = ~D, DF, F, y

[Command]
name = "QCF_a"
command = ~D, DF, F, a

[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCB_a"
command = ~D, DF, F, a

[Command]
name = "QCB_b"
command = ~D, DF, F, b

[Command]
name = "anti-aereo1"
command = ~F, D, DF, x

[Command]
name = "anti-aereo2"
command = ~F, D, DF, y

[Command]
name = "fireball 2"
command = ~B, DB, D, DF, F, x

[Command]
name = "fireball 2"
command = ~B, DB, D, DF, F, y

[Command]
name = "mp"
command = F, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "power up"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
[State -1]
type = ChangeState
value = 3000
triggerall = power >= 1000
triggerall = command = "ES tiro"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200 
trigger2 = movecontact = 1
trigger3 = stateno = 210 
trigger3 = movecontact = 1
trigger4 = stateno = 410 
trigger4 = movecontact = 1
trigger6 = stateno = 240 
trigger6 = movecontact = 1
trigger7 = stateno = 400 
trigger7 = movecontact = 1 
trigger8 = stateno = 430 
trigger8 = movecontact = 1 
trigger9 = stateno = 400 
trigger9 = movecontact = 1

[State -1]
type = ChangeState
value = 3200
triggerall = command = "ES fireball 2"
triggerall = numproj = 0
triggerall = NumHelper(3201) < 1
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = movecontact = 1
trigger2 = stateno = 200
trigger3 = movecontact = 1
trigger3 = stateno = 210
trigger4 = movecontact = 1
trigger4 = stateno = 230
trigger5 = movecontact = 1
trigger5 = stateno = 400
trigger6 = movecontact = 1
trigger6 = stateno = 240
trigger7 = movecontact = 1
trigger7 = stateno = 410
trigger8 = movecontact = 1
trigger8 = stateno = 430
trigger9 = movecontact = 1
trigger9 = stateno = 440
trigger10 = movecontact = 1
trigger10 = stateno = 420
trigger11 = movecontact = 1
trigger11 = stateno = 220


;ES Ataque anti areo
[State -1]
type = ChangeState
value = 2060
triggerall = command = "ES anti-aereo"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
trigger3 = stateno = 200
trigger3 = movecontact
trigger4 = stateno = 230
trigger4 = movecontact
trigger5 = stateno = 400
trigger5 = movecontact
trigger6 = stateno = 430
trigger6 = movecontact

;Power Wave
[State -1]
type = ChangeState
value = 2190
triggerall = command = "Power Wave"
triggerall = power >= 1000
triggerall = numproj = 0
trigger1 = ctrl = 1
trigger1 = statetype != A

;SuperCombo
[State -1]
type = ChangeState
value = 4010
triggerall = command = "SuperCombo"
triggerall = power >= 4000
triggerall = numproj = 0
trigger1 = ctrl = 1
trigger1 = statetype != A

;---------------------------------------------------------------------------
; Fireball 2
[State -1]
type = ChangeState
value = 2200
triggerall = command = "fireball 2"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200 
trigger2 = movecontact = 1
trigger3 = stateno = 210 
trigger3 = movecontact = 1
trigger4 = stateno = 410 
trigger4 = movecontact = 1
trigger6 = stateno = 240 
trigger6 = movecontact = 1
trigger7 = stateno = 400 
trigger7 = movecontact = 1 
trigger8 = stateno = 430 
trigger8 = movecontact = 1 
trigger9 = stateno = 400 
trigger9 = movecontact = 1
;---------------------------------------------------------------------------
;Tiro
[State -1]
type = ChangeState
value = 2000
triggerall = command = "tiro"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200 
trigger2 = movecontact = 1
trigger3 = stateno = 210 
trigger3 = movecontact = 1
trigger4 = stateno = 410 
trigger4 = movecontact = 1
trigger6 = stateno = 240 
trigger6 = movecontact = 1
trigger7 = stateno = 400 
trigger7 = movecontact = 1 
trigger8 = stateno = 430 
trigger8 = movecontact = 1 
trigger9 = stateno = 400 
trigger9 = movecontact = 1


;===========================================================================
;---------------------------------------------------------------------------
;Ataque anti areo fraco
[State -1]
type = ChangeState
value = 1050
triggerall = command = "anti-aereo1"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
trigger3 = stateno = 200
trigger3 = movecontact
trigger4 = stateno = 230
trigger4 = movecontact
trigger5 = stateno = 400
trigger5 = movecontact
trigger6 = stateno = 430
trigger6 = movecontact
;---------------------------------------------------------------------------
;Ataque anti areo forte
[State -1]
type = ChangeState
value = 1060
triggerall = command = "anti-aereo2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
trigger3 = stateno = 200
trigger3 = movecontact
trigger4 = stateno = 230
trigger4 = movecontact
trigger5 = stateno = 400
trigger5 = movecontact
trigger6 = stateno = 430
trigger6 = movecontact
;---------------------------------------------------------------------------
;100% Attack
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = command = "100% Attack"
triggerall = power >= 5000
triggerall = life >= 200
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Mega punch
;p`
[State -1]
type = ChangeState
value = 800
triggerall = command = "mp"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 1020
trigger7 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6
trigger3 = stateno = 2000
trigger3 = movecontact
;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = stateno = 230
trigger4 = movecontact = 1
trigger5 = stateno = 1020
trigger5 = movecontact

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9
trigger4 = stateno = 210
trigger4 = movecontact
trigger5 = stateno = 2000
trigger5 = movecontact
trigger6 = stateno = 200
trigger6 = movecontact = 1

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 2000
trigger5 = movecontact
trigger6 = stateno = 1020
trigger6 = movecontact
;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 2000
trigger2 = movecontact
trigger3 = stateno = 430
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
trigger5 = stateno = 440
trigger5 = movecontact = 1
trigger6 = stateno = 200
trigger6 = movecontact = 1
;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

